Package Details: libdivecomputer-git 20150602.e6f51ea-1

Git Clone URL: https://aur.archlinux.org/libdivecomputer-git.git (read-only)
Package Base: libdivecomputer-git
Description: Library for communication with dive computers
Upstream URL: http://www.libdivecomputer.org/
Licenses: LGPL
Conflicts: libdivecomputer
Provides: libdivecomputer
Submitter: Francois_B
Maintainer: vesath
Last Packager: vesath
Votes: 6
Popularity: 0.000000
First Submitted: 2011-09-25 04:19
Last Updated: 2015-06-08 21:45

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

Francois_B commented on 2013-12-12 20:14

@flokli, I can't reproduce your problem. I'm sorry.

flokli commented on 2013-12-10 13:47

Fails to compile:

.ibtoolize: AC_CONFIG_MACRO_DIR([m4]) conflicts with ACLOCAL_AMFLAGS=-I m4
autoreconf: libtoolize failed with exit status: 1

bergersau commented on 2012-07-18 03:59

Compiled fine. - Thanks

Francois_B commented on 2012-07-17 21:06

A fix has been added. Upstream plans to merge this fix soon in the main repository. I will keep an eye on it. If you have some troubles, feel free to report them.

bergersau commented on 2012-07-16 00:16

Thanks Francois, I'm not competent to assist except as a tester I'm sorry.

Francois_B commented on 2012-07-15 19:51

I'm working on it. It is due to the upgrade of automake (>1.12). It seems we should declare '-Wno-extra-portability' in configure.ac. But it's a bit tricky

bergersau commented on 2012-07-15 06:21

Unable to build. Failing with error.
[code]configure.ac:21: installing './install-sh'
configure.ac:21: installing './missing'
examples/Makefile.am: installing './depcomp'
automake: warnings are treated as errors
/usr/share/automake-1.12/am/ltlibrary.am: warning: 'libdivecomputer.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.12/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.ac'
src/Makefile.am:4: while processing Libtool library 'libdivecomputer.la'
autoreconf: automake failed with exit status: 1
==> ERROR: A failure occurred in build().
Aborting... [/code]

Francois_B commented on 2012-03-30 18:11

Done. Thanks :)

theru commented on 2012-03-30 07:50

Hey for it to build I have to remove the '' under depends you might want to take a look at that. And thanks for making it available in aur :)